%bcond_without     tests

Summary:        A library for computing contrast ratios, as required by WCAG 2.0
Name:           python-wcag-contrast-ratio
Version:        0.9
Release:        7%{?dist}
License:        MIT
URL:            https://github.com/gsnedders/wcag-contrast-ratio
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildArch:      noarch


%description
A library for computing contrast ratios, as required by WCAG 2.0.

%package -n     python3-wcag-contrast-ratio
Summary:        %{summary}

%description -n python3-wcag-contrast-ratio
A library for computing contrast ratios, as required by WCAG 2.0.


%prep
%autosetup -n wcag-contrast-ratio-%{version}

%if %{with tests}
sed -i 's/hypothesis-pytest/hypothesis/g' tox.ini
sed -i 's/{envbindir}\/py.test/py.test/g' tox.ini
%endif

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files wcag_contrast_ratio


%check
%if %{with tests}
%tox
%endif

%files -n python3-wcag-contrast-ratio -f %{pyproject_files}
%doc README.rst


%changelog
* Fri May 31 2024 Shuo Wang <abushwang@tencent.com> - 0.9-7
- enable %check

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 21 2023 Shuo Wang <abushwang@tencent.com> - 0.9-2
- remove unused buildrequires

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 0.9-1
- initial build
